using System;
using System.IO;

namespace CompressJavascript
{
	public class Logger : IDisposable
	{
		private readonly StreamWriter writer;

		public Logger()
		{
			var path = Path.Combine(AppDomain.CurrentDomain.BaseDirectory, "CompressJavascript.log");

			if (File.Exists(path))
			{
				File.Delete(path);
			}

			writer = new StreamWriter(path);

			Log("compression started");
		}

		public void Log(string message, params object[] args)
		{
			var format = string.Format(message, args);

			writer.WriteLine(format);

			Console.WriteLine(format);
		}

		public void Dispose()
		{
			writer.Flush();
			writer.Close();
			writer.Dispose();
		}
	}
}