﻿using System;
using System.Web.Mvc;

namespace Shuttle.Wiki.MVC
{
    [ShuttleHandleError]
    public class HelpController : Controller
    {
        protected override void HandleUnknownAction(string actionName)
        {
            try
            {
                View(actionName).ExecuteResult(ControllerContext);
            }
            catch (InvalidOperationException)
            {
                ViewData["actionName"] = actionName;
                ViewData["controllerName"] = "Help";

                View("NoHelp").ExecuteResult(ControllerContext);
            }
            catch(Exception ex)
            {
                ViewData["actionName"] = actionName;
                ViewData["controllerName"] = "Help";
                ViewData["message"] = ex.Message;
                ViewData.Model = new HandleErrorInfo(ex, "Help", actionName);

                View("Error").ExecuteResult(ControllerContext);
            }
        }
    }
}