﻿$(document).ready(function () {
    $('#button-search').button({ icons: { primary: 'ui-icon-search'} });
    $('#button-search').bind('click', search);

    $('#button-new').button({ icons: { primary: 'ui-icon-image'} });
    $('#button-new').bind('click', newImage);

    $('#ImageName').focus();

    registerValidation(
    {
        ImageName:
        {
            required: true,
            maxlength: 250
        }
    });

    attachValidation($('#SearchForm'));
})

function search() {
    if (!$('#SearchForm').valid()) {
        return false;
    }

    var container = $('#result-container');
    container.html('');
    container.addClass('server-call');

    $.ajax(
        {
            url: url('List', 'Image'),
            type: 'POST',
            data: 'name=' + $('#ImageName').val(),
            success: function (data) {
                container.removeClass('server-call');

                if (data.success) {
                    container.html(data.view);

                    return;
                }

                showMessage(data.message);
            },
            error: function (request, errorType, errorThrown) {
                container.removeClass('server-call');
                ajaxError(request, errorType, errorThrown);
            },
            timeout: 3000
        });
}

function newImage() {
	navigate('new', 'image');
}