﻿$(document).ready(function () {
    $('#register-button')
    .button({ icons: { primary: 'ui-icon-document'} })
    .on('click', function () { navigate('Register', 'Member'); });

    $('.delete-button')
        .button({ icons: { primary: 'ui-icon-circle-close' }, text: false })
        .on('click', function () { confirmDeletion($(this).attr('data-memberid')); });
})

function confirmDeletion(memberid) {
    confirmation(
    {
        message: 'Are you sure that you want to delete the member?',
        callback: function () { deleteMember(memberid); }
    });
}

function deleteMember(memberid) {
    pageLoading();

    $.ajax(
        {
            url: url('Delete', 'Member', memberid),
            type: 'POST',
            success: function (data) {
                pageReady();

                if (!data.success) {
                    showMessage(data.message);

                    return false;
                }

                $('#row-' + memberid).remove();
            },
            error: function (request, errorType, errorThrown) {
                pageReady();
                ovaflo.ajaxError(request, errorType, errorThrown);
            }
        });

}