using System;
using System.Linq;
using NUnit.Framework;

namespace Shuttle.Wiki.Test
{
    public class SystemSettingsTest : Fixture
    {
        [Test]
        public void Should_be_able_add_and_retrieve_values_of_various_types()
        {
            var settings = new SystemSettings();

            Assert.IsNull(settings.GetValue<Member>("blah"));

            settings.Add("dt", "4 May 2009 15:40");
            settings.Add("int", "100");
            settings.Add("dbl", "100.001");

            Assert.AreEqual(DateTime.Parse("4 May 2009 15:40"), settings.GetValue<DateTime>("dt"));
            Assert.AreEqual(100, settings.GetValue<int>("int"));
            Assert.AreEqual(100.001, settings.GetValue<double>("dbl"));
        }
    }
}