using System.Collections.Generic;
using Shuttle.Core.Data;

namespace Shuttle.Wiki
{
    public class WikiPageAssembler : IAssembler<WikiPage>
    {
        public IEnumerable<WikiPage> Assemble(MappedData data)
        {
            var result = new List<WikiPage>();

            foreach (var wikiPageRow in data.MappedRows<WikiPage>())
            {
                var wikiPage = wikiPageRow.Result;

                var wikiPageId = WikiPageColumns.Id.MapFrom(wikiPageRow.Row);

                foreach (
                    var wikiSectionRow in
                        data.MappedRows<WikiSection>(
                            map => WikiSectionColumns.PageId.MapFrom(map.Row).Equals(wikiPageId)))
                {
                    wikiPage.Add(wikiSectionRow.Result);
                }

                result.Add(wikiPage);
            }

            return result;
        }
    }
}