using System;
using Shuttle.Core.Data;

namespace Shuttle.Wiki
{
	public static class MemberQueries
	{
		private const string TableName = "Member";

		public static IQuery All()
		{
			return SelectClause()
				.OrderBy(MemberColumns.Name).Ascending()
				.From(TableName);
		}

		public static IQuery Details(Guid id)
		{
			return SelectClause()
				.Where(MemberColumns.Id).EqualTo(id)
				.From(TableName);
		}

	    private static ISelectBuilderSelect SelectClause()
	    {
	        return SelectBuilder
	            .Select(MemberColumns.Id)
	            .With(MemberColumns.Name)
	            .With(MemberColumns.EMailAddress)
	            .With(MemberColumns.NewEMailAddress)
	            .With(MemberColumns.ActivationDate)
	            .With(MemberColumns.RegistrationDate);
	    }

	    public static IQuery EMailAddress(Guid id)
	    {
            return SelectBuilder
                .Select(MemberColumns.EMailAddress)
                .Where(MemberColumns.Id).EqualTo(id)
                .From(TableName);
        }
	}
}