using System;
using System.Text;
using Shuttle.Core.Data;

namespace Shuttle.Wiki
{
	public static class SearchResultQueries
	{
		public static readonly string TableName = "SearchResult";

		public static IQuery Page(Guid sessionId, int searchResultRowOffset, int page, int pageSize)
		{
			var sql = new StringBuilder();

			sql.Append(@"
                select 
                    wp.PageName,
                    sr.Row
                from 
                    [dbo].[WikiPage] wp (nolock)
                inner join 
                    [dbo].[SearchResult] sr on (sr.Id = wp.Id) 
                where 
                    SessionId = @SessionId 
                and 
                    Row between @StartRow and @EndRow 
                order by 
                    wp.PageName");

			var query = new RawQuery(sql.ToString());

			query.AddParameterValue(SearchResultColumns.SessionId, sessionId);
			query.AddParameterValue(SearchResultColumns.StartRow, searchResultRowOffset + ((page - 1) * pageSize));
			query.AddParameterValue(SearchResultColumns.EndRow, searchResultRowOffset + (page * pageSize) - 1);

			return query;
		}
	}
}