using System;
using Shuttle.Core.Data;

namespace Shuttle.Wiki
{
    public static class WikiPageQueries
    {
        private const string TableName = "WikiPage";

        public static IQuery GetPageHtml(string pageName)
        {
            return SelectBuilder
                .Select(WikiPageColumns.Id)
				.With(WikiPageColumns.Html)
                .Where(WikiPageColumns.PageName).EqualTo(pageName)
                .From(TableName);
        }

        public static IQuery GetPageNameFromSectionId(Guid sectionId)
        {
            var query = RawQuery.CreateFrom(@"
                select
	                PageName 
                from 
	                WikiPage wp 
                inner join 
	                WikiSection ws
		                on (ws.PageId = wp.Id)
                where
	                ws.Id = @Id
                ");

            query.AddParameterValue(WikiSectionColumns.Id, sectionId);

            return query;
        }
    }
}