﻿using System;
using System.Data;
using Shuttle.Core.Data;

namespace Shuttle.Wiki
{
	public class WikiImageQuery : DataQuery, IWikiImageQuery
	{
		public DataTable GetName(Guid id)
		{
			return DatabaseGateway.GetDataTableFor(WikiData.Source, WikiImageQueries.GetName(id));
		}

		public bool HasName(string name)
		{
			using (DatabaseConnectionFactory.Create(WikiData.Source))
			{
                return DatabaseGateway.GetScalarUsing<int>(WikiData.Source, WikiImageQueries.HasName(name)) == 1;
			}
		}

		public DataTable Search(string name)
		{
			return DatabaseGateway.GetDataTableFor(WikiData.Source,WikiImageQueries.Search(name));
		}

		public DataTable GetForRendering(string name)
		{
			return DatabaseGateway.GetDataTableFor(WikiData.Source,WikiImageQueries.GetForRendering(name));
		}
	}
}