using System;
using System.Data;

namespace Shuttle.Wiki
{
    public class SystemSettingRepository : Repository, ISystemSettingRepository
    {
        public SystemSettings Get()
        {
            var table = DatabaseGateway.GetDataTableFor(WikiData.Source, SystemSettingTableAccess.All());

            var result = new SystemSettings();

            foreach (DataRow row in table.Rows)
            {
                result.Add(SystemSettingColumns.Name.MapFrom(row), SystemSettingColumns.Value.MapFrom(row));
            }

            return result;
        }

        public void Save(ISystemSettings settings)
        {
            DatabaseGateway.ExecuteUsing(WikiData.Source, SystemSettingTableAccess.RemoveAll());

            foreach (var pair in settings.Settings)
            {
                DatabaseGateway.ExecuteUsing(WikiData.Source, SystemSettingTableAccess.Add(pair.Key, pair.Value));
            }
        }
    }
}