using System;
using Shuttle.Core.Data;

namespace Shuttle.Wiki
{
	public static class SearchResultTableAccess
	{
		private const string TableName = "SearchResult";

		public static IQuery ClearSession(Guid sessionId)
		{
			return DeleteBuilder
				.Where(SearchResultColumns.SessionId).EqualTo(sessionId)
				.From(TableName);
		}

		public static IQuery ClearExpired()
		{
			return DeleteBuilder
				.Where(SearchResultColumns.ExpiresOn).LessThanOrEqualTo(DateTime.Now)
				.From(TableName);
		}
	}
}