using System;
using Shuttle.Core.Data;

namespace Shuttle.Wiki
{
    public static class SystemSettingTableAccess
    {
        private const string TableName = "SystemSetting";

        public static IQuery All()
        {
            return SelectBuilder
                .Select(SystemSettingColumns.Name)
                .With(SystemSettingColumns.Value)
                .From(TableName);
        }

        public static IQuery Add(string name, string value)
        {
            return InsertBuilder
                    .Insert()
                    .Add(SystemSettingColumns.Name).WithValue(name)
                    .Add(SystemSettingColumns.Value).WithValue(value)
                    .Into(TableName);
        }

        public static IQuery RemoveAll()
        {
            return RawQuery.CreateFrom("delete from SystemSetting");
        }
    }
}