using System;
using Shuttle.Core.Data;

namespace Shuttle.Wiki
{
	public class WikiPageHistoryTableAccess
	{
		private const string TableName = "WikiPageHistory";

		public static IQuery Add(WikiPage wikiPage, string historicalMarkup, IUserSession userSession)
		{
			return InsertBuilder
				.Insert()
				.Add(WikiPageHistoryColumns.PageName).WithValue(wikiPage.Name)
				.Add(WikiPageHistoryColumns.DateChanged).WithValue(DateTime.Now)
				.Add(WikiPageHistoryColumns.MemberId).WithValue(userSession.MemberId)
				.Add(WikiPageHistoryColumns.MemberName).WithValue(userSession.MemberName)
				.Add(WikiPageHistoryColumns.Markup).WithValue(historicalMarkup)
				.Into(TableName);
		}

		public static IQuery Rename(string newPageName, string pageName)
		{
			return UpdateBuilder
				.Update()
				.Set(WikiPageHistoryColumns.PageName).ToValue(newPageName)
				.Where(WikiPageHistoryColumns.PageName).EqualTo(pageName)
				.In(TableName);
		}
	}
}