using System;
using Shuttle.Core.Domain;

namespace Shuttle.Wiki
{
    public interface IMemberRepository : 
        ICanGetEntity<Member, Guid>,
        ICanAddEntity<Member>, 
        ICanRemoveEntity<Member>
    {
        Member GetByName(string name);
        bool ContainsName(string name);
        void SaveActivation(Member member);
        void SavePassword(Member member);
        int Count { get; }
        void SaveNewEMailAddress(Member member);
        Member GetByEMailAddress(string address);
        void SaveEMailActivation(Member member);
    }
}