﻿using System;
using Shuttle.Core.Domain;

namespace Shuttle.Wiki
{
    public interface IWikiRepository : IRepository<WikiPage, Guid>
    {
        WikiPage GetPageByName(string pageName);
        bool ContainsPageName(string pageName);
        WikiSection GetSection(Guid sectionId);
        void Save(WikiPage wikiPage, string historicalMarkup, IUserSession userSession);
    	void Remove(WikiPage wikiPage, string historicalMarkup, IUserSession userSession);
    	string RenderAndSave(Guid pageId);
    	void Rename(string newPageName, string pageName);
    }
}