using System;
using Shuttle.Core.Domain;

namespace Shuttle.Wiki
{
	public class WikiSection : RowIdentity
	{
		public WikiSection(string headingMarkup, string markup)
		{
			Initialize(headingMarkup, markup);
		}

		private void Initialize(string headingMarkup, string markup)
		{
			HeadingMarkup = headingMarkup.Trim();
			BodyMarkup = markup.Trim();
		}

		public WikiSection(Guid id, string headingMarkup, string markup)
			: base(id)
		{
			Initialize(headingMarkup, markup);
		}

		public string HeadingMarkup { get; private set; }
		public string BodyMarkup { get; private set; }

		public string GetMarkup()
		{
			return string.Format("{0}{1}{2}", HeadingMarkup, HeadingMarkup.Length > 0 ? "\r\n\r\n" : string.Empty, BodyMarkup);
		}
	}
}