using System;
using Shuttle.ESB.Core;

namespace Shuttle.Wiki
{
	public class RenameWikiPageHandler : MessageHandler, IMessageHandler<RenameWikiPageCommand>
	{
        private readonly IWikiRepository repository;

        public RenameWikiPageHandler(IWikiRepository repository)
        {
            this.repository = repository;
        }

		public void ProcessMessage(HandlerContext<RenameWikiPageCommand> context)
		{
			using (var connection = DatabaseConnectionFactory.Create(WikiData.Source).BeginTransaction())
			{
				if (repository.ContainsPageName(context.Message.NewPageName))
				{
					throw new InvalidOperationException(string.Format(Resources.WikiPageAlreadyExists, context.Message.NewPageName));
				}

				repository.Rename(context.Message.NewPageName, context.Message.PageName);

				connection.CommitTransaction();
			}
		}

		public bool IsReusable
		{
			get { return true; }
		}
	}
}