using System.Collections.Generic;
using WikiPlex;
using WikiPlex.Compilation;
using WikiPlex.Compilation.Macros;

namespace Shuttle.Wiki
{
    public class WikiPageLinkMacro : IMacro
    {
        public static string MacroId = "WikiPageLinkMacro";

        public string Id
        {
            get { return MacroId; }
        }

        public IList<MacroRule> Rules
        {
            get
            {
                return new List<MacroRule>
                           {
                               new MacroRule(EscapeRegexPatterns.CurlyBraceEscape),
                               new MacroRule(@"(?i)(\[)(?!\#|[a-z]+:)((?>[^\]]+))(\])",
                                             new Dictionary<int, string>
                                                 {
                                                     {1, ScopeName.Remove},
                                                     {2, MacroId},
                                                     {3, ScopeName.Remove}
                                                 })
                           };
            }
        }
    }
}