using System;
using WikiPlex.Formatting.Renderers;

namespace Shuttle.Wiki
{
    public class WikiPageLinkRenderer : IRenderer
    {
        public bool CanExpand(string scopeName)
        {
            return scopeName == WikiPageLinkMacro.MacroId;
        }

        public string Expand(string scopeName, string input, Func<string, string> htmlEncode,
                             Func<string, string> attributeEncode)
        {
            var pos = input.IndexOf("|");
            var title = pos == -1 ? input : input.Substring(0, pos);
            var name = pos == -1 ? input : pos == input.Length - 1 ? title : input.Substring(pos + 1);

            return string.Format("<a href='{0}' class='wiki-page-link'>{1}</a>",
                                 attributeEncode(string.Concat("/wikipage/", name)), htmlEncode(title));
        }

        public string Id
        {
            get { return "WikiPageLinkRenderer"; }
        }
    }
}