using Shuttle.Core.Data;

namespace Shuttle.Wiki
{
	public class FindTask : IFindTask
	{
		private readonly IDatabaseGateway databaseGateway;
		private readonly IUserSession userSession;

		public FindTask(IUserSession userSession, IDatabaseGateway databaseGateway)
		{
			this.userSession = userSession;
			this.databaseGateway = databaseGateway;
		}

		public int Execute(FindSpecification specification)
		{
			databaseGateway.ExecuteUsing(WikiData.Source, SearchResultTableAccess.ClearSession(specification.SessionId));

			var row = databaseGateway.GetSingleRowUsing(WikiData.Source, WikiPageTableAccess.Find(specification));

			userSession.SearchResultRowOffset = SearchResultColumns.SearchResultRowOffset.MapFrom(row);

			return SearchResultColumns.ResultCount.MapFrom(row);
		}
	}
}