using System;
using System.Web.Routing;

namespace Shuttle.Wiki
{
    public static class RouteDataExtensions
    {
        public static bool HasId(this RouteData routeData)
        {
            return !string.IsNullOrEmpty(Id(routeData));
        }

        public static string Id(this RouteData routeData)
        {
            return Convert.ToString(routeData.Values["id"]);
        }

        public static string ControllerName(this RouteData routeData)
        {
            var controller = Convert.ToString(routeData.Values["controller"]);

            return !string.IsNullOrEmpty(controller) ? controller : "{controller}";
        }

        public static Guid IdAsGuid(this RouteData routeData)
        {
            return new Guid(Convert.ToString(routeData.Values["id"]));
        }

        public static void RemoveId(this RouteData routeData)
        {
            routeData.Values.Remove("id");
        }
    }
}