using System;
using System.Text;
using System.Web.Mvc;

namespace Shuttle.Wiki
{
    public static class UrlExtensions
    {
        private static string flyweight = string.Empty;

        public static string Domain(this UrlHelper url)
        {
            if (!string.IsNullOrEmpty(flyweight))
            {
                return flyweight;
            }

            var port = url.RequestContext.HttpContext.Request.ServerVariables["SERVER_PORT"];

            var root = url.Content("~");

            if (root.Equals("/"))
            {
                root = string.Empty;
            }

            flyweight = string.Format(@"http://{0}{1}/{2}",
                                 url.RequestContext.HttpContext.Request.ServerVariables["SERVER_NAME"],
                                 port == "80"
                                     ? string.Empty
                                     : ":" + port,
                                 root);

            return flyweight;
        }
    }
}