using System;
using System.Web.Mvc;

namespace Shuttle.Wiki
{
    [AttributeUsage(AttributeTargets.Method | AttributeTargets.Class, AllowMultiple = false)]
    public class AjaxAttribute : ActionFilterAttribute
    {
        public static readonly string ViewDataKey = "AjaxContentType";

        public AjaxAttribute()
        {
            AjaxContentType = AjaxContentType.Json;
        }

        public AjaxAttribute(AjaxContentType ajaxContentType)
        {
            AjaxContentType = ajaxContentType;
        }

        public AjaxContentType AjaxContentType { get; private set; }

        public override void OnActionExecuting(ActionExecutingContext filterContext)
        {
            filterContext.Controller.ViewData[ViewDataKey] = AjaxContentType;
        }
    }
}