﻿using System;
using System.Web.Routing;

namespace Shuttle.Wiki
{
    public class FormModel
    {
        private const string IdKey = "id";

        public FormModel(string action, string controller)
        {
            Controller = controller;
            Action = action;

            SubmitButtonText = string.Empty;

            RouteValues = new RouteValueDictionary();
        }

        public string Controller { get; private set; }
        public string Action { get; private set; }
        public string SubmitButtonText { get; set; }

        public RouteValueDictionary RouteValues { get; private set; }

        public Guid Id
        {
            get
            {
                return (Guid)(RouteValues.ContainsKey(IdKey)
                                  ? RouteValues[IdKey]
                                  : Guid.Empty);
            }
            set
            {
                if (RouteValues.ContainsKey(IdKey))
                {
                    RouteValues.Remove(IdKey);
                }

                RouteValues.Add(IdKey, value);
            }
        }
    }
}