using System;
using System.Web.Mvc;
using System.Web.Routing;
using Castle.Windsor;
using Shuttle.Core.Infrastructure;

namespace Shuttle.Wiki
{
    public class ShuttleControllerFactory : DefaultControllerFactory
    {
        public override IController CreateController(RequestContext requestContext, string controllerName)
        {
            Guard.AgainstNullOrEmptyString(controllerName, "controllerName");

        	try
        	{
        		return Resolver.Instance.Resolve<IController>(string.Format("{0}controller", controllerName.ToLower()));
        	}
        	catch
        	{
        		return new ShuttleController();
        	}
        }

        public override void ReleaseController(IController controller)
        {
            ((IWindsorContainer)Resolver.Instance.Container).Release(controller);
        }
    }
}